Package org.gradle.plugins.ide.eclipse

## Class EclipsePlugin

- java.lang.Object
- - org.gradle.plugins.ide.internal.IdePlugin
  - - org.gradle.plugins.ide.eclipse.EclipsePlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public abstract class EclipsePlugin
      extends org.gradle.plugins.ide.internal.IdePlugin

  A plugin which generates Eclipse files.

  See Also:
    Eclipse plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ECLIPSE_CP_TASK_NAME` |
    `static java.lang.String` | `ECLIPSE_JDT_TASK_NAME` |
    `static java.lang.String` | `ECLIPSE_PROJECT_TASK_NAME` |
    `static java.lang.String` | `ECLIPSE_TASK_NAME` |

    - ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EclipsePlugin​(org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry, org.gradle.api.plugins.jvm.internal.JvmPluginServices jvmPluginServices)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getLifecycleTaskName()` |
    `protected void` | `onApply​(Project project)` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `addWorker, addWorker, addWorker, addWorker, addWorkspace, apply, cleanName, dependsOn, dependsOn, getCleanTask, getLifecycleTask, isRoot, toGradleCommand, withDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ECLIPSE_TASK_NAME

          public static final java.lang.String ECLIPSE_TASK_NAME

      See Also:
        Constant Field Values

    - #### ECLIPSE_PROJECT_TASK_NAME

          public static final java.lang.String ECLIPSE_PROJECT_TASK_NAME

      See Also:
        Constant Field Values

    - #### ECLIPSE_CP_TASK_NAME

          public static final java.lang.String ECLIPSE_CP_TASK_NAME

      See Also:
        Constant Field Values

    - #### ECLIPSE_JDT_TASK_NAME

          public static final java.lang.String ECLIPSE_JDT_TASK_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EclipsePlugin

          @Inject
          public EclipsePlugin​(org.gradle.plugins.ide.internal.configurer.UniqueProjectNameProvider uniqueProjectNameProvider,
                               org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry,
                               org.gradle.api.plugins.jvm.internal.JvmPluginServices jvmPluginServices)

  - ### Method Detail

    - #### getLifecycleTaskName

          protected java.lang.String getLifecycleTaskName()

      Specified by:
        `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

    - #### onApply

          protected void onApply​(Project project)

      Overrides:
        `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`